Name:		knetload
Summary:	Network traffic monitor
Version:	1.91
Release:	6mdk

Source:		%{name}-%{version}.tar.bz2
Source1:	knetload_menuentry

Group:		Monitoring
Url:            http://kde.quakenet.eu.org/knetload.shtml
License:	GPL
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake autoconf
BuildRequires:	diffutils file m4 texinfo gettext libjpeg62-devel kdelibs-devel
BuildRequires:	gcc-c++ kdelibs libbinutils2 libbzip2_1 db1 freetype2 libjpeg62
BuildRequires:	libmng1 libpng2 libqt2 libqt2-devel rpm-build


%description
KDE application that monitors network traffic.

%prep

%setup -q 

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
	               --disable-rpath \
		       --disable-debug \
		       --enable-final


%make

%install
# Dadou - 1.91-5mdk - Don't use makeinstall macro. It seems work but break
#                     installation
make install DESTDIR=%buildroot

install -d 755 %buildroot/%_menudir/
install -m 644 %{SOURCE1} %buildroot/%_menudir/knetload


%clean
rm -fr %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,755)
%_bindir/*
#
#
%_menudir/*
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/knetload/
%dir %_datadir/apps/knetload/icons/
%_datadir/apps/knetload/icons/*
#
#
%dir %_datadir/apps/knetload/docs/
%doc %_datadir/apps/knetload/docs/*
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/System/
%_datadir/applnk/System/*.desktop 
#
#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/* 


%changelog
* Thu Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.91-6mdk
- Rebuild

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.91-5mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix and use optimizations
- Clean %%files to allow clean updates
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.91-4mdk
- Add buil requires

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 1.91-3mdk
- Rebuild against Qt 2.3.0

* Tue Feb 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.91-2mdk
- Rebuild 

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.91-1mdk
- Update code

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-3mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Tue Oct 10 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-2mdk
- Don't think i586 is alone in CPU constellation
- Macros

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 1.90-1mdk
- Up to KDE2 Version

* Thu May  4 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3-7mdk
- Reducte entry menu to kde destop
- Remove rpath

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3-6mdk
- Don't use prefix
- Don't use autogenerated file list
- Menu entry
- Changed group

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Tue Dec 22 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add fr.po

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Tue Oct 12 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed stupid bug of mine in spec file

* Tue Oct 12 1999 Francis Galiegue <francis@mandrakesoft.com>
- version 1.3
- spec file cleanups

* Sat Aug 28 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

